Bug 9194 - guile hard to use with new slib
guile hard to use with new slib
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: guile (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-07 18:28 EST by peticola
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-09 14:09:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description peticola 2000-02-07 18:28:16 EST
The guile package's dependency on umb-scheme for slib
makes it difficult to upgrade slib. Maybe guile should
have it's own slib?
Comment 1 Nalin Dahyabhai 2000-02-08 14:27:59 EST
Could you be more specific about "difficult to upgrade"?  The guile package only
requires that you have some version of umb-scheme installed, so I'm not sure how
upgrading umb-scheme makes a difference to guile.
Comment 2 Nalin Dahyabhai 2000-02-08 19:16:59 EST
[From private email, Dave is trying to use a newer version of slib, which is
shared beteen the umb-scheme and guile packages.]

Dave, can you try the new umb-scheme package at
http://people.redhat.com/nalin/umb-scheme-3.2-11.i386.rpm, and let me know how
it works for you?  It has the latest version of slib (2c7) integrated with it.
Comment 3 Nalin Dahyabhai 2000-02-09 14:09:59 EST
The new umb-scheme-3.2-11 and guile-1.3-8 packages that will be in the next
Raw Hide release include slib 2c7, and share the slibcat file which needs to
be generated.  Please reopen this bug if installing them doesn't work correctly
or even requires manual intervention that we'd need to automate.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.